different versions & different browsers & what upgrades

Hi,

I've been using (and recommending) 1Password for a long time but I'm also running some real old versions of everything (from operating systems to applications) and am now trying to bring everything somewhat closer to current (although I know I'll still be way behind most of the world). Unfortunately, because of some legacy software that I MUST continue using, I'm doing this in very small baby steps to see what will, and will not, work with each step.

I've finally upgraded a MacPro desktop (MacPro4,1 Quad-Core Intel Xeon) from Leopard (10.5.8) to Snow Leopard (10.6.8) - yes, you can laugh, ok, and laugh, again, and roll your eyes - and I'm trying to see what versions of 1Password will work with [hopefully] ALL the various versions of OS, IOS, and browers that I'm currently using.

So here are the details.
Mac OS - 10.6.8
1Password Mac version - 3.5.15
Firefox version - 3.6.13 - Firefox Extension for Password 3
Safari version - 5.1.10 - Safari 1Password Extension 3.9.20
and wifi syncing to an iPhone 3GS - 4.3.5

So, far, the Mac 1Password continues to work fine with the Firefox extension (once it was upgraded) and with the wifi sync of the iPhone. The problem is, as you could probably tell, with Safari (screen shot attached).

I know that there are 24 updates, that will work with 10.6.8, since 1Password 3.5.15 but I wanted to check with you (rather than risking a bigger mess) to see what upgrading all 24 steps, up to 3.8.18, would do to my other [currently successful] situations with Firefox and the iPhone wifi syncing. And, if it's a version that's between 3.5.15 and 3.8.18, how I would I get just to that version and not all the way to 3.8.18.

(Phone or direct email support for this kind of very specific question sure would be easier)

Anyway, I that's what I'm doing and would love any research, suggestions or recommendations that you might have for me.

Thanks !


1Password Version: 3.5.15
Extension Version: listed above
OS Version: 10.6.8
Sync Type: wifi

Comments

  • brentybrenty

    Team Member
    edited June 2015

    @LWks: Well, I stuck with Snow Leopard for a very long time, so I won't judge. They can laugh at us both! :lol:

    Now, I'm not completely certain about exact browser version numbers since those are pretty old, but good place to start is with going to 1Password 3.8.22, which supports both Snow Leopard and Lion.

    I'm guessing that "4.3.5" is referring to the version of iOS you have on the 3GS, as 1Password 3 for Mac and iOS need to sync with each other. If you move to 1Password 4 or 5 on either, you'll need to update the other as well to use Wi-Fi Sync.

    Firefox still supports Snow Leopard in the latest releases (since you will have to be on Intel anyway), so you may be able to update to some extent without breaking the 1Password 3 extension. The most recent version I see supported is Firefox 26. It may be that some later releases work as well, but that's the lest one officially supported by the 3.x codebase.

    1Password 3.7.5 and higher support Safari 5.1, but I encourage you to try the latest -- 1Password 3.8.22 -- first, as that will almost certainly work just fine for you (this is what I have in my SL VM). You'll see that in both of these links you can download any release if needed as well, as a last resort.

    Ultimately the best advice I can give you is that there's absolutely no harm in backtracking to an older release from a newer one if needed; all your data will sit tight for you. The further along you're able to go, the better though, as there were a LOT of improvements made since 2011 (believe me, I was there)!

    While I'm sure you'll have additional questions, I think this should be a good starting point. Be sure to let me know how it turns out! :)

  • LWksLWks Junior Member

    Thank you Brenty ! Your answer was fast, complete, friendly and wonderfully detailed... oh, yeah, and 100% SUCCESSFUL!

    I went with your suggestion, upgraded straight to 1Password to 3.8.22, and I am now enjoying a working Safari extension (in Safari 5.1.10), a continuing successful Firefox extension (in Firefox 3.6.13) and successful wi-fi syncing from the MacPro to iPhone 3GS.

    I'm very very very pleased and incredibly appreciative.

    THANK YOU !

    ps. Warning, I'll undoubtably be back when I get around to going to Mountain Lion and 1Password 4 - don't worry, it's gonna be awhile :)

  • Hi @LWks,

    One aspect to consider is that Mountain Lion is currently the oldest version of OS X still receiving security updates. Apple stopped supporting Lion in October of last year so you might want to consider leapfrogging over Mountain Lion. Just a thought.

    Whatever you decide we'll do our best to help :smile:

  • brentybrenty

    Team Member
    edited June 2015

    @LWks: Thanks for the kind words! I'm glad to hear that helped. It was a lovely way to start the week. And we're always here to help! :chuffed:

This discussion has been closed.